# summary

> Azure Fundamentals part 4: Describe general security and network security features \
> Secure network connectivity on Azure

In this [module](https://docs.microsoft.com/en-us/learn/paths/az-900-describe-general-security-network-security-features/), you learned about some of the ways you can secure network traffic both on Azure and in your on-premises datacenter.

Defense in depth is the overriding theme.
Think about security as a multiple-layer, multiple-vector concern.
Threats come from places we don't expect, and they can come with surprising strength.

Tailwind Traders now has a few tools and services that it can use to secure its networks. Here's a brief summary:

- `Azure Firewall` is a managed, cloud-based network security service that helps protect resources in Azure virtual networks.
- An `Azure virtual network` is similar to a traditional network that you'd operate in your own datacenter. It enables virtual machines and other compute resources to securely communicate with each other, the internet, and on-premises networks.
- A network security group (`NSG`) enables you to filter network traffic to and from Azure resources within a virtual network.
- `Azure DDoS Protection` helps protect Azure resources from DDoS attacks.