# Azure Fundamentals part 5

Describe identity, governance, privacy, and compliance features

Modules in this learning path:

## 1 **Secure access** to your applications by using Azure identity services

> Learn how Azure Active Directory helps you manage and secure identities. \
> Also see how single sign-on, multifactor authentication, and Conditional Access enable your users to securely access resources and applications from your intranet and from public networks.

6 units

- [Introduction](511-intro.md)
- [Compare authentication and authorization](512-auth.md)
- [What is Azure Active Directory](513-aad.md)
- [What are multifactor authentication and Conditional Access](514-mfa-ca.md)?
- [Knowledge check](515-kc.md)
- [Summary](516-summary.md)

## 2 Build a **cloud governance strategy** on Azure

> Learn how access policies, resource locks, and tags, as well as Azure services such as \
> Azure Policy and Azure Blueprints, can help you build a comprehensive cloud governance strategy.

12 units

- [Introduction](521-intro.md)
- [Control access to cloud resources by using Azure role-based access control](522-rbac.md)
- [Prevent accidental changes by using resource locks](523-rsrc-locks.md)
- [Exercise](524-ex-del-protect.md) - Protect a storage account from accidental deletion by using a resource lock
- [Organize your Azure resources by using tags](525-tags.md)
- [Control and audit your resources by using Azure Policy](526--policy.md)
- [Exercise](527-ex-restrict-geo.md) - Restrict deployments to a specific location by using Azure Policy
- Govern multiple subscriptions by using Azure Blueprints [*](https://docs.microsoft.com/en-us/learn/modules/build-cloud-governance-strategy-azure/8-govern-subscriptions-azure-blueprints)
- Accelerate your cloud adoption journey by using the Cloud Adoption Framework for Azure [*](https://docs.microsoft.com/en-us/learn/modules/build-cloud-governance-strategy-azure/9-accelerate-cloud-adoption-framework)
- Create a subscription governance strategy [*](https://docs.microsoft.com/en-us/learn/modules/build-cloud-governance-strategy-azure/10-create-subscription-governance-strategy)
- [Knowledge check](52B-kc.md)
- [Summary](52C-summary.md)

## 3 **Examine privacy, compliance, and data protection standards** on Azure
 
> Learn about Microsoft's commitment to privacy and how Azure adheres to common regulatory and compliance standards.

9 units

- [Introduction](531-intro.md)
- [Explore compliance terms and requirements](532-compliance-terms.md)
- Access the Microsoft Privacy Statement, the Online Services Terms, and the Data Protection Addendum [*](https://docs.microsoft.com/en-us/learn/modules/examine-privacy-compliance-data-protection-standards/3-access-microsoft-privacy-statement)
- Explore the Trust Center [*](https://docs.microsoft.com/en-us/learn/modules/examine-privacy-compliance-data-protection-standards/4-explore-trust-center)
- Access Azure compliance documentation [*](https://docs.microsoft.com/en-us/learn/modules/examine-privacy-compliance-data-protection-standards/5-access-azure-compliance-documentation)
- What is Azure Government? [*](https://docs.microsoft.com/en-us/learn/modules/examine-privacy-compliance-data-protection-standards/6-what-is-azure-government)
- What is Azure China 21Vianet? [*](https://docs.microsoft.com/en-us/learn/modules/examine-privacy-compliance-data-protection-standards/7-what-is-azure-china-21vianet)
- [Knowledge check](538-kc.md)
- [Summary](539-summary.md)

[< AZ900 learning paths](./az900.md)