# Knowledge check

Consider the following scenario.  
Then choose the best response for each question that follows and select [Check your answers](https://docs.microsoft.com/en-us/learn/modules/secure-access-azure-identity-services/5-knowledge-check).

At Tailwind Traders, recall that retail employees are issued tablet devices from which they can track orders and plan their work schedules.

Tailwind Traders also allows _delivery drivers_ to use their own mobile devices to access scheduling and logistics applications.

A stolen password might allow unauthorized access to company and customer data.  
Tailwind Traders wants to extend its investments in Active Directory to secure all of its applications, when accessed both from the _intranet_ and from _public networks_.

The company is looking into how Azure Active Directory (Azure AD), single sign-on (SSO), multifactor authentication, and Conditional Access can help it achieve those goals.

## Check your knowledge

1. How can the IT department ensure that employees at the company's retail stores can access company applications only from **approved tablet devices**?
- [ ] SSO
- [X] *Conditional Access*.  
Conditional Access enables you to require users to access  
your applications only from approved, or managed, devices 
- [ ] Multifactor authentication
2. How can the IT department use **biometric properties**, such as facial recognition,  
to enable delivery drivers to prove their identities?
- [ ] SSO
- [ ] Conditional Access
- [X] *Multifactor authentication*.  
Authenticating through multifactor authentication can include something the user knows,  
something the user has, and something the user is.
3. How can the IT department **reduce the number of times users must authenticate** to access multiple applications?
- [X] *SSO*.  
SSO enables a user to remember only one ID and one password to access multiple applications.
- [ ] Conditional Access
- [ ] Multifactor authentication  

[< 5: Describe identity, governance, privacy, and compliance features](./5-lp-az-900.md)