# Summary

> https://docs.microsoft.com/en-us/learn/modules/build-cloud-governance-strategy-azure/12-summary

You've been tasked with defining and implementing the governance strategy for Tailwind Traders.

Cloud governance requires good analysis and requirement gathering. \
Luckily, the Cloud Adoption Framework for Azure can help you define and implement your governance strategy. \
There are several services and features in Azure to support these efforts:
- Azure role-based access control (Azure RBAC) enables you to create roles that define access permissions.
- Resource locks prevent resources from being accidentally deleted or changed.
- Resource tags provide extra information, or metadata, about your resources.
- Azure Policy is a service in Azure that enables you to create, assign, and manage policies that control or audit your resources.
- Azure Blueprints enables you to define a repeatable set of governance tools and standard Azure resources that your organization requires.

With these points in mind, you're ready to take the next step toward building a good cloud governance strategy.

## Learn more

- Control and organize Azure resources with Azure Resource Manager [module](https://docs.microsoft.com/en-us/learn/modules/control-and-organize-with-azure-resource-manager/)
- Cloud Adoption Framework Governance Benchmark Tool [*](https://cafbaseline.com/)
- Cloud economics [*](https://azure.microsoft.com/en-us/overview/cloud-economics/#overview)
- Microsoft Cloud Adoption Framework for Azure [module](https://docs.microsoft.com/en-us/learn/modules/microsoft-cloud-adoption-framework-for-azure/)
- Azure subscription and service limits, quotas, and constraints [*](https://docs.microsoft.com/en-us/azure/azure-resource-manager/management/azure-subscription-service-limits)
- Azure built-in roles [*](https://docs.microsoft.com/en-us/azure/role-based-access-control/built-in-roles)
- Assign policy definitions for tag compliance [*](https://docs.microsoft.com/en-us/azure/azure-resource-manager/management/tag-policies)
- Resource naming and tagging decision guide [*](https://docs.microsoft.com/en-us/azure/cloud-adoption-framework/decision-guides/resource-tagging/)
- Azure Policy Samples [*](https://docs.microsoft.com/en-us/azure/governance/policy/samples/)
- Create a custom policy definition [tuts](https://docs.microsoft.com/en-us/azure/governance/policy/tutorials/create-custom-policy-definition)
- Implement resource management security in Azure [Learning Path](https://docs.microsoft.com/en-us/learn/paths/implement-resource-mgmt-security/)

[< 5: Describe identity, governance, privacy, and compliance features](./5-lp-az-900.md)