# Introduction

> https://docs.microsoft.com/en-us/learn/modules/examine-privacy-compliance-data-protection-standards/1-introduction

In this module, you'll learn about Microsoft's commitment to privacy and how Azure adheres to common regulatory and compliance standards.

If your organization is a government department or agency, or you need to deploy to regions of China, you'll also learn about some considerations that don't apply to other Azure users.

In general, **compliance** means to *adhere to a law, standard, or set of guidelines*. \
**Regulatory compliance** refers to the *discipline and process of ensuring that a company follows the laws that governing bodies enforce*.

## Learning objectives

After completing this module, you'll be able to:

- Explain the types of compliance offerings that are available on Azure.
- Access the Microsoft Privacy Statement, the Online Services Terms, and the Data Protection Addendum to learn what personal data Microsoft collects, how Microsoft uses it, and for what purposes.
- Gain insight into regulatory standards and compliance on Azure from the Trust Center and from the Azure compliance documentation. \
Explain Azure capabilities that are specific to government agencies.

[< 5: Describe identity, governance, privacy, and compliance features](./5-lp-az-900.md)