# Describe Azure cost management and service level agreements

> part 6   
> https://docs.microsoft.com/en-us/learn/paths/az-900-describe-azure-cost-management-service-level-agreements/

## Plan and manage your Azure costs [*](https://docs.microsoft.com/en-us/learn/modules/plan-manage-azure-costs/)

### units

- 2 Compare costs by using the Total Cost of Ownership Calculator [*](https://docs.microsoft.com/en-us/learn/modules/plan-manage-azure-costs/2-compare-costs-tco-calculator)
- 3 [Exercise](https://docs.microsoft.com/en-us/learn/modules/plan-manage-azure-costs/3-compare-workload-costs-tco-calculator) - Compare sample workload costs by using the TCO Calculator
- 4 [Purchase Azure services](https://docs.microsoft.com/en-us/learn/modules/plan-manage-azure-costs/4-purchase-azure-services)
- 5 [exercise](https://docs.microsoft.com/en-us/learn/modules/plan-manage-azure-costs/5-estimate-workload-cost-pricing-calculator) Estimate workload cost by using the Pricing calculator
- 6 [Manage and minimize total cost on Azure](https://docs.microsoft.com/en-us/learn/modules/plan-manage-azure-costs/6-manage-minimize-total-cost)
- 7 [Knowledge check](617-kc.md) 

### links

- [TCO Calculator](https://azure.microsoft.com/pricing/tco/calculator)
- [total-cost-ownership-steps](https://docs.microsoft.com/en-us/learn/azure-fundamentals/plan-manage-azure-costs/media/2-total-cost-ownership-steps.png)
- [Software Assurance](https://www.microsoft.com/en-us/licensing/licensing-programs/software-assurance-default) license reuse ?
- Bandwidth pricing [*](https://azure.microsoft.com/en-us/pricing/details/bandwidth/)
- [Pricing calculator](https://azure.microsoft.com/en-us/pricing/calculator/)
- Azure free account [FAQ](https://azure.microsoft.com/en-us/free/free-account-faq/)
- Explore flexible purchasing options for Azure [*](https://azure.microsoft.com/en-us/pricing/purchase-options/)
- Understand terms on your Microsoft Azure invoice [*](https://docs.microsoft.com/en-us/azure/cost-management-billing/understand/understand-invoice)
- See Azure Cost Management + Billing to learn more about analyzing costs, creating and managing budgets, exporting data, and reviewing and acting on recommendations.
- Take advantage of significant discounts on development and testing workloads. To learn more, see [Azure Dev/Test pricing](https://azure.microsoft.com/pricing/dev-test/).
- Learn more about how [Azure Reservations](https://docs.microsoft.com/en-us/azure/billing/billing-save-compute-costs-reservations) can save you money when you commit to one-year or three-year pricing plans.
- Learn how to prevent unexpected charges with [Azure billing and cost management](https://docs.microsoft.com/en-us/azure/cost-management-billing/manage/getting-started).
- See Azure [spending limit](https://docs.microsoft.com/en-us/azure/billing/billing-spending-limit) to learn what happens when you reach your spending limit and how to remove it.
- Learn how to [start and stop VMs during off-hours](https://docs.microsoft.com/en-us/azure/automation/automation-solution-vm-management).
- See how [Azure Hybrid Benefit](https://azure.microsoft.com/pricing/hybrid-benefit/) can help save costs by bringing Windows Server and SQL Server on-premises licenses with Software Assurance to Azure.

### zones

Zone 1:
- Australia Central
- West US
- East US
- Canada West
- West Europe
- France Central
- and others ..

Zone 2:
- Australia East
- Japan West
- Central India
- Korea South
- and others ...
  
Zone 3:
- Brazil South
- South Africa North
- South Africa West
- UAE Central
- UAE North

DE Zone 1:
- Germany Central,
- Germany Northeast

## Choose the right Azure services by examining SLAs and service lifecycle [*](https://docs.microsoft.com/en-us/learn/modules/choose-azure-services-sla-lifecycle/)

### units

- 2 What are service-level agreements (SLAs)? [*](https://docs.microsoft.com/en-us/learn/modules/choose-azure-services-sla-lifecycle/2-what-are-service-level-agreements)
- 3 Define your application SLA [*](https://docs.microsoft.com/en-us/learn/modules/choose-azure-services-sla-lifecycle/3-define-application-sla)
- 5 Access preview services and preview features [*](https://docs.microsoft.com/en-us/learn/modules/choose-azure-services-sla-lifecycle/5-access-preview-services)
- 6 [Knowledge check](626-kc.md)
- 7 summary [*](https://docs.microsoft.com/en-us/learn/modules/choose-azure-services-sla-lifecycle/7-summary)

### links

- SLA for Azure Cosmos DB [*](https://azure.microsoft.com/en-us/support/legal/sla/cosmos-db/v1_4/)
- Azure status [*](https://status.azure.com/status)
- Service-level agreements [*](https://azure.microsoft.com/en-us/support/legal/sla/)
- Supplemental Terms of Use for Microsoft Azure Previews [*](https://azure.microsoft.com/en-us/support/legal/preview-supplemental-terms/)
- Microsoft Azure (Preview) [*](https://preview.portal.azure.com/)
- Azure updates page [*](https://azure.microsoft.com/updates)

[< AZ900 learning paths](./az900.md)