# Knowledge check

Recall that the Tailwind Traders' Special Orders application includes two virtual machines, Azure Load Balancer, and Azure SQL Database:

![A diagram showing two virtual machines connected to Azure Load Balancer and Azure SQL Database.](https://docs.microsoft.com/en-us/learn/azure-fundamentals/choose-azure-services-sla-lifecycle/media/4-special-orders-architecture.svg)

Here's the service-level agreement (SLA) for each service:

Service	| SLA (percent)
---|---
Azure Virtual Machines x2 | 99.9 
Azure SQL Database|99.99
Azure Load Balancer|99.99

To compute the composite SLA for a set of services, you multiply the SLA of each individual service. \
Recall that the existing composite SLA is: \
99.9% × 99.9% × 99.99% × 99.99% = 99.78%

The team wants to add a mapping feature so that it can calculate routes between nearby suppliers and each retail store. \
For that, the team will use Azure Maps.

The team also needs more processing power to keep up with demand. \
For that, it will add a third virtual machine to the pool.

Here's a diagram that shows their proposed plan:
![A diagram showing three virtual machines connected to Azure Load Balancer, Azure SQL Database, and Azure Maps.](https://docs.microsoft.com/en-us/learn/azure-fundamentals/choose-azure-services-sla-lifecycle/media/6-special-orders-architecture-maps.svg)

Recall that you can access SLAs from [Service Level Agreements](https://azure.microsoft.com/support/legal/sla/).

## Check your knowledge

1. What's the SLA for Azure Maps in terms of guaranteed uptime?
- [ ] 99 percent
- [X] 99.9 percent  
Correct.  
The [SLA for Azure Maps](https://azure.microsoft.com/support/legal/sla/azure-maps?azure-portal=true) tells you the SLA.
- [ ] 99.99 percent
2. What's the new composite SLA?  
Remember, the new SLA includes a third virtual machine and Azure Maps.
- [X] 99.58 percent  
Correct.  
To compute the composite SLA for a set of services, you multiply the SLA of each individual service.
- [ ] 99.78 percent
- [ ] 99.99 percent
3. Adding a third virtual machine reduces the composite SLA.  
How can Tailwind Traders offset this reduction?  
- [ ] Increase the size of each virtual machine.
- [X] Deploy extra instances of the same virtual machines across the different availability zones in the same Azure region.  
Correct.  
If one availability zone is affected, your virtual machine instance in the other availability zone should be unaffected.
- [ ] Do nothing. Using Azure Load Balancer increases the SLA for virtual machines.
4. What approach might the company take in adding the augmented reality (AR) preview service to its architecture?
- [ ] The Special Orders app is already in production.  
The company shouldn't look into the AR service until the service reaches general availability (GA).
- [ ] The Special Orders app is mainly for use by retail employees.  
The company can integrate the AR service now because potential downtime or failures aren't an important factor.
- [X] The development team can create a prototype version of the app that includes the AR service that it tests out with select retail employees.  
Correct.  
After the AR service reaches general availability (GA), the team can roll it out to production.