# JavaScript

## Pages

- my [Angular4](./js/ng4.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./js/ng4.md)
- my [Angular2](./js/ng2.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./js/ng2.md)
- my [Angular Fundamentals course page](./js/AngularFundamentals.md) [![wiki page](https://img.shields.io/badge/Pluralsight-wiki-red.svg)](./js/AngularFundamentals.md)
- [You don't know JS](https://github.com/getify/You-Dont-Know-JS#you-dont-know-js-book-series) book series on Git
- [page](netcore/Building.A.Web.App.With.ASP.NET.Core.MVC6.EFCore.And.Angular.md#javascript) for 'Building.A.Web.App.With.ASP.NET.Core.MVC6.EFCore.And.Angular' course [![wiki page](https://img.shields.io/badge/Pluralsight-wiki-red.svg)](netcore/Building.A.Web.App.With.ASP.NET.Core.MVC6.EFCore.And.Angular.md#javascript)
- my [npm](./js/npm.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./js/npm.md)
- my [progressive web apps](./js/pwa.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./js/pwa.md)

## Pens

- [Function.prototype.call.InvokeAnonymousFunction](https://codepen.io/illegitimis/pen/GEpQVZ)
- [Function.prototype.call.SpecifyContextForThis](https://codepen.io/illegitimis/pen/MoaVQL)
- [Function.prototype.call.ChainConstructors](https://codepen.io/illegitimis/pen/LLpdLV)

## Build tools

- webpack-fundamentals [![webpack-fundamentals](https://img.shields.io/badge/Pluralsight-course-lightgrey.svg)](https://app.pluralsight.com/library/courses/webpack-fundamentals/table-of-contents) and [Git repo](https://github.com/joeeames/WebpackFundamentalsCourse)
- my [webpack](./js/webpack.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./js/webpack.md)

## Libraries

- [markdown.js](https://github.com/evilstreak/markdown-js)
- RxJS
  - [RxJS 5.0](https://github.com/ReactiveX/RxJS), Reactive Extensions Library for JavaScript, git page
  - [RxJS API document](http://reactivex.io/rxjs/)
  - [The Reactive Extensions for JavaScript](https://github.com/Reactive-Extensions/RxJS), old git page
  - [switchmap doc](https://www.learnrxjs.io/operators/transformation/switchmap.html)
- [Redux](js/redux.md)  (**to do**)

## Misc

- [State of JS survey 2017](https://stateofjs.com/2017/front-end/results/), and [SO 2018](https://insights.stackoverflow.com/survey/2018/)
- [nativescript](https://www.nativescript.org/). Open source framework for building truly native mobile apps with Angular, Vue.js, TypeScript or JavaScript.
- ng-conf [Sharing Code Between Web and Native Apps](https://www.youtube.com/watch?v=R3nyG2xtzeQ) - Jen Looper, TJ VanToll, [Angular Material’s Trees](https://www.youtube.com/watch?v=s0Vy3sLbeyA) - Tina Gao
- [Front-end Application Libraries and Component Architectures](https://developer.telerik.com/featured/front-end-application-frameworks-component-architectures/)
- [IndexedDB](https://developer.mozilla.org/en-US/docs/Web/API/IndexedDB_API) is a _low-level API_ for **client-side storage of significant amounts of structured data**, including files/blobs. This API uses indexes to enable high-performance searches of this data. While _Web Storage_ is useful for storing smaller amounts of data, it is less useful for storing larger amounts of structured data.
- The [Web Storage API](https://developer.mozilla.org/en-US/docs/Web/API/Web_Storage_API) provides mechanisms by which browsers can **store key/value pairs**, in a much more intuitive fashion than using cookies.
- [A Simple Trip Meter](https://www.html5rocks.com/en/tutorials/geolocation/trip_meter/), as of May 2010, using the [Geolocation API](https://dev.w3.org/geo/api/) with [wg](https://www.w3.org/2008/geolocation/)
- **Notifications**: [notify.js](https://alexgibson.github.io/notify.js/) A handy wrapper for the Web Notifications API. [W3C Recommendation](https://www.w3.org/TR/notifications/) October 2015. MDN [notification api](.https://developer.mozilla.org/en-US/docs/Web/API/notification)
- **web workers** [basics](https://www.html5rocks.com/en/tutorials/workers/basics/) article 2010. [W3C Working Draft](https://www.w3.org/TR/workers/) September 2015. html [living draft](https://html.spec.whatwg.org/multipage/workers.html) dec 2018. NodeJS 11 [worker threads](https://nodejs.org/api/worker_threads.html). MDN [using web workers](https://developer.mozilla.org/en-US/docs/Web/API/Web_Workers_API/Using_web_workers).

[home](README.md) | [wiki](https://github.com/illegitimis/Tutorial/wiki)
