# Mongo

- [Articles](MongoArticles.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](MongoArticles.md)
- [M101N](M101N.md) todo [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](M101N.md)

## todo

- [Recipes](MongoRecipes.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](MongoRecipes.md)
  - [JS](MongoRecipes.md#js)
  - [GridFS](MongoRecipes.md#gridfs)
  - [CLI](MongoRecipes.md#cli)
  - [C#](MongoRecipes.md#c)
- [Schema](MongoSchema.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](MongoSchema.md), RDBMS to MongoDb
  - [state of the art](MongoSchema.md#state-of-the-art)
  - [MongoDB relationships: embed or reference?](MongoSchema.md#mongodb-relationships-embed-or-reference)
  - [linking vs embedding](MongoSchema.md#linking-vs-embedding)
  - [Embedded / nested / denormalized](MongoSchema.md#embedded--nested--denormalized)
  - [Normalized / linked / referenced](MongoSchema.md#normalized--linked--referenced)
- Geography: [$geoIntersects](https://docs.mongodb.com/manual/reference/operator/query/geoIntersects/), 2d [queries](https://docs.mongodb.com/manual/geospatial-queries/), geo [indexes](https://stackoverflow.com/questions/29249828/how-store-latitude-and-longitude-in-mongodb-collection-and-how-to-use-it-with-s), [blog](https://myadventuresincoding.wordpress.com/2011/10/02/mongodb-geospatial-queries/)
- `docker`: [Getting Started With MongoDB As A Docker Container Deployment](https://www.thepolyglotdeveloper.com/2019/01/getting-started-mongodb-docker-container-deployment/), image [docs](https://docs.docker.com/samples/library/mongo/), [images](https://hub.docker.com/_/mongo), [create image](https://docs.mongodb.com/manual/tutorial/install-mongodb-enterprise-with-docker/) docs

[<<](../nosql.md) | [home](../../README.md)