# Parallelism / Multithreading / Async

+ [(.Net) Managed Threads](./parallel/dotnetManagedThreads.md)
+ [(.Net) Threads Background/Foreground](./parallel/dotnetThreadsBackForeGround.md)
+ [(.Net) Thread storage](./parallel/threadLocalStorage.md)
+ [(.Net) Threads vs. Processes](./parallel/dotnetThreadsProcesses.md)
+ [(.Net) Threads vs. Tasks](./parallel/dotnetThreadsTasks.md)
+ [(.Net) UI Threads](./parallel/dotnetUIThreads.md)
+ [The **thread pool**](./parallel/threadPool.md)
+ [TPL collections](./parallel/tplCollections.md)

## Reading

+ [Asynchronous Programming - Async Performance: Understanding the Costs of Async and Await](https://msdn.microsoft.com/en-us/magazine/hh456402.aspx) By Stephen Toub | October 2011
+ [Task-based Asynchronous Pattern (TAP)](https://docs.microsoft.com/en-us/dotnet/standard/asynchronous-programming-patterns/task-based-asynchronous-pattern-tap) MSDN
+ [Introduction to TPL Dataflow](./parallel/TPLDataflow.pdf) Stephen Toub, Microsoft, April 2011 [![pdf](https://img.shields.io/badge/file-pdf-brightgreen.svg)](./parallel/TPLDataflow.pdf)
+ [Parallel Programming with Microsoft .NET](https://msdn.microsoft.com/en-us/library/ff963553.aspx) Design Patterns for Decomposition and Coordination on Multicore Architectures
+ [There Is No Thread](http://blog.stephencleary.com/2013/11/there-is-no-thread.html) Nov, 2013
+ [Introduction to RX](http://www.introtorx.com/Content/v1.0.10621.0/02_KeyTypes.html) @ Lee Campbell
+ [Concurrency in C#](https://1drv.ms/b/s!AnIyfO51kH7NwkK3JIjSrZJndzk0) Stephen Cleary, 2014 [![pdf](https://img.shields.io/badge/file-pdf-brightgreen.svg)](https://1drv.ms/b/s!AnIyfO51kH7NwkK3JIjSrZJndzk0)
+ [Async Await and the Generated StateMachine](https://www.codeproject.com/Articles/535635/Async-Await-and-the-Generated-StateMachine)
+ [C# Under the Hood: async/await](https://www.markopapic.com/csharp-under-the-hood-async-await/)
+ Behind the .NET 4.5 Async Scene: [The performance impact of Asynchronous programming in C#](https://www.dynatrace.com/news/blog/behind-net-4-5-async-scene-performance-impact-asynchronous-programming-c/)

[home](../README.md) | [wiki](https://github.com/illegitimis/Tutorial/wiki)