# Microservices with .NET

(Martin Fowler and James Levis, “Microservices”, March 2014.)
> Microservices architectural style is an approach to developing a **single application as a suite of small services**, _each running in its own process and communicating with lightweight mechanisms_, often an HTTP resource API. 
These services are _built around business capabilities_ and **independently deployable** by _fully automated deployment machinery_. 
There is a bare mininum of centralized management of these services, which may be written in different programming languages and use different data storage technologies. 

## Resources
+ [microservices-aspnetcore](https://github.com/microservices-aspnetcore) **Samples and Utility Code** for the O'Reilly Book, ["_Building Microservices with ASP.NET Core_"](http://shop.oreilly.com/product/0636920052074.do), 
Release Date: September 2017, Pages: 232, By Kevin Hoffman
+ [*Building Microservices*](https://www.safaribooksonline.com/library/view/building-microservices/9781491950340/#toc-start), [Designing Fine-Grained Systems](http://shop.oreilly.com/product/0636920033158.do), February 2015, by Sam Newman, 282 pages.
  
  git pdf file [![git pdf file](https://img.shields.io/badge/file-pdf-brightgreen.svg)](https://github.com/miguellgt/books/blob/master/microservices/building-microservices-designing-fine-grained-systems.pdf) or 
  [![Google Drive](https://img.shields.io/badge/Google-Drive-yellowgreen.svg)](https://drive.google.com/file/d/0B-kG-3_hgT4EdFEzbmhhcVpZNzg/view?usp=sharing)

+ [.NET Microservices – Architecture for Containerized .NET Applications](https://blogs.msdn.microsoft.com/cesardelatorre/2017/05/10/free-ebookguide-on-net-microservices-architecture-for-containerized-net-applications/), msft 2017, de la Torre & co
  
  pdf [![Google Drive](https://img.shields.io/badge/Google-Drive-yellowgreen.svg)](https://drive.google.com/open?id=0B-kG-3_hgT4EYVZEakFKX2FVRWs) also DOWNLOAD available at [aka](https://aka.ms/microservicesebook)

## Unvisited queue
* [ALEKSI ULKUNIEMI, STAND-ALONE .NET MICROSERVICES WITH CAMERAS AND IMAGE COMPARISON](https://dspace.cc.tut.fi/dpub/bitstream/handle/123456789/23611/ulkuniemi.pdf;sequence=3) Master of Science thesis, May 2015
* [Daishi.AMQP and RabbitMQ](https://insidethecpu.com/2015/05/22/microservices-with-c-and-rabbitmq/)
* [FubuMVC](https://fubumvc.github.io/)
* [Live presentation for a MicroServices Architecture for Microsoft .Net](https://www.youtube.com/watch?v=ujSJHWNRp-k)
 by Rob Scaduto from Third Wave Technology. Nancy and Rake.
* [Pattern: Microservice Architecture](http://microservices.io/patterns/microservices.html)
* [Microservices with Steeltoe and Cloud Foundry: A .NET App Using MS Face API](https://www.altoros.com/blog/microservices-with-steeltoe-and-cloud-foundry-a-dotnet-app-using-microsoft-face-api/)
* [Azure Service Fabric and the Microservices Architecture](https://msdn.microsoft.com/en-us/magazine/mt595752.aspx), dec 2015
* VS mag, 2015, [Deploying Microservices Architecture with C#](https://visualstudiomagazine.com/articles/2015/09/30/microservices-csharp.aspx)
* [Microservices in .NET Core]() with _examples in Nancy_, Christian Horsdal Gammelgaard, January 2017, ISBN 9781617293375, 344 pages
* [Building Microservices with Open Source Technologies], sep 2014 (http://www.developer.com/open/building-microservices-with-open-source-technologies.html)
* [ms enterprise micro svc](https://keyholesoftware.com/2015/10/19/microservices-in-the-microsoft-enterprise/)
* [golden-service-fabric-hammer](https://keyholesoftware.com/2016/06/14/golden-service-fabric-hammer/)
* [Building microservices with ASP.NET Core (without MVC)](https://www.strathweb.com/2017/01/building-microservices-with-asp-net-core-without-mvc/)

[<<](../soa.md) | [home](../../README.md)