# SQL

- [ACID](./sql/ACID.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/ACID.md)
- [BASE](./nosql/BASE.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/BASE.md)
- [Connection Pool](./sql/ConnectionPool.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/ConnectionPool.md)
- [DAO vs. Repository](./sql/DAOvsRepository.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/DAOvsRepository.md)
- [DbCommand/IDbCommand/SqlCommand](./sql/DbCommand.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/DbCommand.md)
- [Foreign Key Mapping](./sql/ForeignKeyMapping.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/ForeignKeyMapping.md)
- [Indexes/Indices](./sql/indexes.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/indexes.md)
- [MySQL](./sql/MySQL.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/MySQL.md)
- [Primary Keys](./sql/PrimaryKeys.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/PrimaryKeys.md)
- [Referential Integrity](./sql/ReferentialIntegrity.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/ReferentialIntegrity.md)
- [Service Broker](./sql/ServiceBroker.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/ServiceBroker.md)
- SqlLocalDB
  - [utility](https://docs.microsoft.com/en-us/sql/tools/sqllocaldb-utility)
  - connection string `(localdb)\MSSQLLocalDB`
  - [SQL Server 2016 Express LocalDB](https://docs.microsoft.com/en-us/sql/database-engine/configure-windows/sql-server-2016-express-localdb)
  - registry entries: `HKEY_CURRENT_USER\SOFTWARE\Microsoft\Microsoft SQL Server\UserInstances\{GUID}`, `HKLM\SOFTWARE\Microsoft\Microsoft SQL Server\RefCount\SqlLocalDB13`
- [String search db stored proc](./sql/StringSearchDbStoredProc.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/StringSearchDbStoredProc.md)
- [Table schema](./sql/TableSchema.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/TableSchema.md)
- [Temporary Tables](./sql/TemporaryTables.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/TemporaryTables.md)
- [Views](./sql/views.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/views.md)
- [Sample databases](./sql/samples.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/samples.md)
- [PostgreSQL](./sql/postgre.md) [![wiki page](https://img.shields.io/badge/wiki-page-green.svg)](./sql/postgre.md)

[<<](../README.md) | [wiki](https://github.com/illegitimis/Tutorial/wiki)