# MySQL

## Setup

- [MySQL Installer](https://dev.mysql.com/downloads/installer/)
- [.NET Connector](https://dev.mysql.com/downloads/connector/net/)
- [MySQL NuGet packages](https://www.nuget.org/profiles/MySQL/)
- [MySQL for Visual Studio](https://www.mysql.com/why-mysql/windows/visualstudio/)
- [install world_x sample db](https://dev.mysql.com/doc/world-setup/en/world-setup-installation.html)

## Binlog

- [Binary Log](https://dev.mysql.com/doc/refman/5.7/en/binary-log.html)
- [**mysql-binlog-connector-java**](https://github.com/shyiko/mysql-binlog-connector-java)
- [Change Data Capture with Maxwell](https://www.percona.com/blog/2016/09/13/mysql-cdc-streaming-binary-logs-and-asynchronous-triggers/)
- [mysql-binlog-connector-java](https://github.com/shyiko/mysql-binlog-connector-java)
- [mysqlbinlog — Utility for Processing Binary Log Files](https://dev.mysql.com/doc/refman/5.7/en/mysqlbinlog.html)

## mssql ldf

- [nested transactions sql](https://sqlwithmanoj.com/2015/05/26/sql-myth-nested-transactions-in-sql-server-and-hidden-secrets/)
- rusanu [read, interpret sql log](http://rusanu.com/2014/03/10/how-to-read-and-interpret-the-sql-server-log/)
- [aries papers](https://people.eecs.berkeley.edu/~brewer/cs262/Aries.pdf)
- [Reading database transaction log with fn_dump_dblog()](https://blogs.msdn.microsoft.com/dfurman/2009/11/05/reading-database-transaction-log-with-fn_dump_dblog/)
- [SQL Server fn_dblog() Function Details](https://logicalread.com/sql-server-dbcc-log-command-tl01/#.WRMDS9wlGCo)
- [Undocumented function – fn_dblog](https://raresql.com/2013/04/15/sql-server-undocumented-function-fn_dblog/)
- [Read a SQL Server transaction log](https://solutioncenter.apexsql.com/read-a-sql-server-transaction-log/)
- [Using fn_dblog](http://killspid.blogspot.ro/2006/07/using-fndblog.html)
- [Working with DBCC LOG Command In SQL Server](http://www.sqlmvp.org/dbcc-log-command-in-sql-server/)

[<<](../sql.md) | [home](../../README.md)